<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.diagram.ui" name="%pluginName" version="5.0.1"
        provider-name="%providerName"
        class="com.metamatrix.modeler.diagram.ui.DiagramUiPlugin">

   <runtime>
      <library name="modelerDiagramUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerDiagramUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.metamodels.diagram"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
   </requires>


   <extension-point id="diagramNotation" name="%diagramNotationExtensionPointName"
                    schema="schema/diagramNotation.exsd"/>
   <extension-point id="diagramType" name="%diagramTypeExtensionPointName"
                    schema="schema/diagramType.exsd"/>

   <extension point="org.eclipse.ui.editors">
      <editor name="%diagramEditorExtensionName" icon="icons/full/cview16/Diagram.gif"
              extensions="dgm"
              class="com.metamatrix.modeler.diagram.ui.editor.DiagramEditor"
              id="com.metamatrix.modeler.diagram.ui.editor.DiagramEditor">
      </editor>
   </extension>
   <extension point="org.eclipse.ui.preferencePages">
      <page name="%diagramPreferences"
            category="com.metamatrix.modeler.ui.preferences.modelerPreferencePage"
            class="com.metamatrix.modeler.diagram.ui.preferences.DiagramPreferencePage"
            id="com.metamatrix.modeler.diagram.ui.preferences.diagramPreferencePage">
      </page>
   </extension>
   <extension point="org.eclipse.ui.preferencePages">
      <page name="%diagramPrintPreferences"
            category="com.metamatrix.modeler.ui.preferences.modelerPreferencePage"
            class="com.metamatrix.modeler.diagram.ui.preferences.DiagramPrintPreferencePage"
            id="com.metamatrix.modeler.diagram.ui.preferences.diagramPrintPreferencePage">
      </page>
   </extension>
   <!-- Adding the diagram editor as a Model Editor Page -->
   <extension id="diagramEditorPage" name="%diagramEditorName"
              point="com.metamatrix.modeler.ui.modelEditorPage">
      <class tabName="%diagramEditorName" order="0"
             name="com.metamatrix.modeler.diagram.ui.editor.DiagramEditor">
      </class>
   </extension>
   <!-- Adding the default Diagram Notation extension-->
   <extension id="umlDiagramNotation" name="%umlDiagramNotation"
              point="com.metamatrix.modeler.diagram.ui.diagramNotation">
      <editPartGenerator class="com.metamatrix.modeler.diagram.ui.notation.uml.UmlPartGenerator">
      </editPartGenerator>
      <diagramModelGenerator class="com.metamatrix.modeler.diagram.ui.notation.uml.UmlModelGenerator">
      </diagramModelGenerator>
      <figureGenerator class="com.metamatrix.modeler.diagram.ui.notation.uml.UmlFigureGenerator">
      </figureGenerator>
      <notationPreferences displayName="UML">
      </notationPreferences>
   </extension>
   <!-- Adding the Package Diagram Type extension-->
   <extension id="packageDiagramType" name="%packageDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.diagram.ui.pakkage.PackageDiagramType"
               simpleDiagram="true">
      </diagram>
   </extension>
   <!-- Package Diagram Type Permanent Model Object Action Contributor -->
   <extension id="packageModelObjectActionContributor"
              point="com.metamatrix.modeler.ui.modelObjectActionContributor">
      <class name="com.metamatrix.modeler.diagram.ui.pakkage.actions.PackageDiagramPermanentActionContributor">
      </class>
   </extension>
   <!-- Package Diagram Content Provider -->
   <extension id="packageDiagramContentProvider" name="%packageDiagramContentProvider"
              point="com.metamatrix.modeler.ui.diagramContentProvider">
      <class name="com.metamatrix.modeler.diagram.ui.pakkage.PackageDiagramContentProvider">
      </class>
      <diagramType name="packageDiagramType">
      </diagramType>
   </extension>
   <!-- Package Diagram Label Provider -->
   <extension id="packageDiagramLabelProvider" name="%packageDiagramLabelProvider"
              point="com.metamatrix.modeler.ui.diagramLabelProvider">
      <class name="com.metamatrix.modeler.diagram.ui.pakkage.PackageDiagramLabelProvider">
      </class>
      <diagramType name="packageDiagramType">
      </diagramType>
   </extension>
   <!-- Adding the Custom Diagram Type extension-->
   <extension id="customDiagramType" name="%customDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.diagram.ui.custom.CustomDiagramType"
               simpleDiagram="true">
      </diagram>
   </extension>
   <!-- Custom Diagram Type Permanent Model Object Action Contributor -->
   <extension id="customModelObjectActionContributor"
              point="com.metamatrix.modeler.ui.modelObjectActionContributor">
      <class name="com.metamatrix.modeler.diagram.ui.custom.actions.CustomDiagramPermanentActionContributor">
      </class>
   </extension>
   <!-- Custom Diagram Content Provider -->
   <extension id="customDiagramContentProvider" name="%customDiagramContentProvider"
              point="com.metamatrix.modeler.ui.diagramContentProvider">
      <class name="com.metamatrix.modeler.diagram.ui.custom.CustomDiagramContentProvider">
      </class>
      <diagramType name="customDiagramType">
      </diagramType>
   </extension>
   <!-- Custom Diagram Label Provider -->
   <extension id="customDiagramLabelProvider" name="%customDiagramLabelProvider"
              point="com.metamatrix.modeler.ui.diagramLabelProvider">
      <class name="com.metamatrix.modeler.diagram.ui.custom.CustomDiagramLabelProvider">
      </class>
      <diagramType name="customDiagramType">
      </diagramType>
   </extension>
      <!-- Helper method to allow external edit for diagrams. i.e. Delete, Copy, etc.. -->
   <extension id="customDiagramHelper" name="%customDiagramHelper"
              point="com.metamatrix.modeler.ui.diagramHelper">
      <class name="com.metamatrix.modeler.diagram.ui.custom.CustomDiagramHelper"
             diagramType="customDiagramType">
      </class>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="relationalObjectEditHelper" name="%relationalObjectEditHelper"
              point="com.metamatrix.modeler.ui.modelObjectEditHelper">
      <class name="com.metamatrix.modeler.diagram.ui.actions.RelationalObjectEditHelper">
      </class>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="diagramUiNewModelObjectHelper" name="%diagramUiNewModelObjectHelper"
              point="com.metamatrix.modeler.core.newModelObjectHelper">
      <class name="com.metamatrix.modeler.diagram.ui.util.DiagramUiNewModelObjectHelper">
      </class>
   </extension>

</plugin>